<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>DDRS.PHQ.CommAvail</name>
<version>1</version>
<engineversion>30</engineversion>
<description>Command available or not</description>
<arguments>
<argument index="1" name="Object" type="Var/Ship/Station" desc="Object" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Flags&#160;=&#160;</var><var>0</var></line>
<line linenr="002" indent=""><var>if&#160;</var><var>$Object</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[PLAYERSHIP]</var></line>
<line linenr="003" indent="&#160;"><var>$Var&#160;=&#160;</var><text>get&#160;global&#160;variable:&#160;name=</text><var>'ddrs.commandunlocked'</var></line>
<line linenr="004" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$Var</var></line>
<line linenr="005" indent="&#160;&#160;"><var>$Flags&#160;=&#160;</var><var>$Var</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="006" indent=""><var>else&#160;if&#160;</var><var>$Object&#160;-&gt;</var><text>&#160;is&#160;of&#160;class&#160;</text><var>Dock</var></line>
<line linenr="007" indent="&#160;"><var>$Var&#160;=&#160;</var><var>$Object&#160;-&gt;</var><text>&#160;get&#160;ware&#160;type&#160;code&#160;of&#160;object</text></line>
<line linenr="008" indent="&#160;"><var>skip&#160;if&#160;</var><var>$Var</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Deadly's&#160;HQ&#160;and&#160;Mercenary&#160;Outpost</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Var</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>Doubleshadow's&#160;Asteroid&#160;Base&#160;and&#160;HQ</var></line>
<line linenr="009" indent="&#160;&#160;"><var>$Flags&#160;=&#160;</var><var>1</var></line>
<line linenr="010" indent=""><text>end</text></line>
<line linenr="011" indent=""><text>return&#160;</text><var>$Flags</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="DDRS.PHQ.CommAvail" /><sval type="int" val="30" /><sval type="string" val="Command available or not" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="3"><sval type="string" val="Object" /><sval type="string" val="Flags" /><sval type="string" val="Var" /></sval><sval type="array" size="11"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610611197" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="158" /><sval type="int" val="5" /><sval type="string" val="ddrs.commandunlocked" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610611448" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="705" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610610171" /><sval type="int" val="12" /><sval type="int" val="2007" /></sval><sval type="array" size="4"><sval type="int" val="707" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-536868345" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="327700" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="9" /><sval type="int" val="327701" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /><sval type="int" val="1" /><sval type="int" val="-5" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="22" /><sval type="string" val="Object" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="10" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
